Debian Bug report logs - #459749
kdebase - FTBFS: error: 'WM2FullPlacement' is not a member of 'NET'

version graph

Package: kdebase; Maintainer for kdebase is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Tue, 8 Jan 2008 14:06:03 UTC

Severity: serious

Found in version kdebase/4:3.5.8.dfsg.1-5

Fixed in version 4:3.5.8.dfsg.1-6

Done: Fathi BOUDRA <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#459749; Package kdebase. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: kdebase - FTBFS: error: 'WM2FullPlacement' is not a member of 'NET'
Date: Tue, 8 Jan 2008 15:03:27 +0100
Package: kdebase
Version: 4:3.5.8.dfsg.1-5
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of kdebase_4:3.5.8.dfsg.1-5 on lxdebian.bfinv.de by sbuild/s390 98
[...]
>  g++ -DHAVE_CONFIG_H -I. -I.. -I/build/buildd/kdebase-3.5.8.dfsg.1/./kwin -I/build/buildd/kdebase-3.5.8.dfsg.1/./kwin/lib -I/usr/include/kde -I/usr/share/qt3/include -I. -I/usr/include/sasl -DQT_THREAD_SUPPORT -D_REENTRANT -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -D_GNU_SOURCE -c libkdeinit_kwin_la.all_cpp.cpp  -fPIC -DPIC -o .libs/libkdeinit_kwin_la.all_cpp.o
> In file included from libkdeinit_kwin_la.all_cpp.cpp:2:
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/workspace.cpp: In member function 'void KWinInternal::Workspace::init()':
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/workspace.cpp:294: error: 'WM2FullPlacement' is not a member of 'NET'
> In file included from libkdeinit_kwin_la.all_cpp.cpp:19:
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/manage.cpp: In member function 'bool KWinInternal::Client::manage(Window, bool)':
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/manage.cpp:208: error: 'class KStartupInfoData' has no member named 'xinerama'
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/manage.cpp:208: error: 'class KStartupInfoData' has no member named 'xinerama'
> In file included from libkdeinit_kwin_la.all_cpp.cpp:21:
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/activation.cpp: In member function 'void KWinInternal::Client::startupIdChanged()':
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/activation.cpp:897: error: 'class KStartupInfoData' has no member named 'xinerama'
> /build/buildd/kdebase-3.5.8.dfsg.1/./kwin/activation.cpp:898: error: 'class KStartupInfoData' has no member named 'xinerama'
> make[4]: *** [libkdeinit_kwin_la.all_cpp.lo] Error 1
> make[4]: Leaving directory `/build/buildd/kdebase-3.5.8.dfsg.1/obj-s390-linux-gnu/kwin'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd/kdebase-3.5.8.dfsg.1/obj-s390-linux-gnu/kwin'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/kdebase-3.5.8.dfsg.1/obj-s390-linux-gnu'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/kdebase-3.5.8.dfsg.1/obj-s390-linux-gnu'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> ******************************************************************************
> Build finished at 20080102-1040
> FAILED [dpkg-buildpackage died]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#459749; Package kdebase. Full text and rfc822 format available.

Acknowledgement sent to fabo@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 459749@bugs.debian.org (full text, mbox):

From: Fathi BOUDRA <fabo@debian.org>
To: 459749@bugs.debian.org
Cc: 459749-submitter@bugs.debian.org
Subject: kdebase - FTBFS: error: 'WM2FullPlacement' is not a member of 'NET'
Date: Thu, 10 Jan 2008 16:36:49 +0100
introduced by 54_seli_xinerama patch.
same failure on alpha, mipsel, powerpc and s390.
strange, it doesn't failed to build on other arches.




Message sent on to Bastian Blank <waldi@debian.org>:
Bug#459749. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#459749; Package kdebase. Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 459749@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 459749@bugs.debian.org, 459749-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kdebase - FTBFS: error: 'WM2FullPlacement' is not a member of 'NET'
Date: Fri, 11 Jan 2008 10:10:19 +0100
tags 459749 + pending

thanks

seli xinerama patch is a 2 parts patch: kdelibs and kdebase.
kdebase must build against the patched kdelibs.




Tags added: pending Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 09:12:04 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#459749. Full text and rfc822 format available.

Reply sent to Fathi BOUDRA <fabo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 459749-done@bugs.debian.org (full text, mbox):

From: Fathi BOUDRA <fabo@debian.org>
To: 459749-done@bugs.debian.org
Subject: kdebase - FTBFS: error: 'WM2FullPlacement' is not a member of 'NET'
Date: Sat, 12 Jan 2008 01:16:38 +0100
Version: 4:3.5.8.dfsg.1-6




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Feb 2008 07:29:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:05:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.